com.google.gwt.event.dom.client

## Interface HasTouchMoveHandlers

All Superinterfaces:
  HasHandlers

All Known Subinterfaces:
  HasAllTouchHandlers

All Known Implementing Classes:
  Anchor, Audio, Button, ButtonBase, Canvas, CheckBox, CustomButton, DialogBox.CaptionImpl, DoubleBox, FileUpload, FocusPanel, FocusWidget, HTML, Image, InlineHTML, InlineLabel, IntegerBox, Label, ListBox, LongBox, MediaBase, PasswordTextBox, PushButton, RadioButton, ResetButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SubmitButton, TextArea, TextBox, TextBoxBase, ToggleButton, ValueBox, ValueBoxBase, Video

    public interface HasTouchMoveHandlers
    extends HasHandlers

A widget that implements this interface provides registration for `TouchMoveHandler` instances.

### Method Summary

All Methods Instance Methods Abstract Methods
`HandlerRegistration` `addTouchMoveHandler(TouchMoveHandler handler)` Adds a `TouchMoveEvent` handler.

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Method Detail

#### addTouchMoveHandler

    HandlerRegistration addTouchMoveHandler(TouchMoveHandler handler)

Adds a `TouchMoveEvent` handler.

Parameters:
  `handler` - the touch move handler
Returns:
  `HandlerRegistration` used to remove this handler